org.gradle.jvm.toolchain

## Interface JavaToolChain

- All Superinterfaces:
    Named, ToolChain

      @Incubating
      public interface JavaToolChain
      extends ToolChain

  A set of tools for building from Java source.

  A `JavaToolChain` is able to:

  - Compile Java source to bytecode.
  - Generate Javadoc from Java source.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDisplayName()` Returns a human consumable name for this tool chain.
    `String` | `getName()` The object's name.
    `String` | `getVersion()` The version of the toolchain.

- - ### Method Detail

    - #### getVersion

          @Input
          String getVersion()

      The version of the toolchain.
      Since:
        3.5

    - #### getDisplayName

          @Internal
          String getDisplayName()

      Returns a human consumable name for this tool chain.
      Specified by:
        `getDisplayName` in interface `ToolChain`

    - #### getName

          @Internal
          String getName()

      The object's name.

      Must be constant for the life of the object.

      Specified by:
        `getName` in interface `Named`
      Returns:
        The name. Never null.